function Figures(tnumb,tmax,xnumb,xmax,pout,dpout,cout,dcout,P0,ThetaChoice,solute,RT,Cd,C0,param1,AA)

%-------CHOICE OF FIGURES
figjv=0;
figPtx=1;
figPfort12=0;
figPfort60=0;
figPsteady=1;
figPtxinit=0;
figPbrzegowe=0;

figJvtx=0;
figQutx=0;
figjvX0=0;
figjvXmax=0;

figThetatx=1;

figCtx=0;
figCsteady=1;

figJtx=0;

%--------------------
fonts=12;

%-----------------------
xmax2=xmax;
tmax2=tmax;
tstep=40;% co ile krzywych ma rysowac
xstep=2; % co ile krzywych ma rysowac
deltat=tstep*tmax2/(tnumb-1);
tnumb2=tmax2/deltat+1;
deltax=xstep*xmax2/(xnumb-1);
xnumb2=xmax2/deltax+1;
xfig2=linspace(0,xmax2,xnumb2);
tfig2=linspace(0,tmax2,tnumb2);
tfig3=linspace(deltat,tmax2,tnumb2-1);

%----------------------
Theta=ones(tnumb,xnumb);
jv=ones(tnumb,xnumb);
js=ones(tnumb,xnumb);
Qu=ones(tnumb,xnumb);
   
 for j=1:tnumb
  for s=1:xnumb
      
    [theta,thetaSwitch,sigmaT,Keff,Deff]=TissueParam(pout(j,s),P0,ThetaChoice,solute,param1);
    
    Theta(j,s)=theta;
    jv(j,s)=Keff*(-dpout(j,s) + sigmaT*RT*dcout(j,s));
    Qu(j,s)=-jv(j,s)*AA;
    js(j,s)=-Deff*dcout(j,s)+jv(j,s)*cout(j,s)*(1-sigmaT);
  end; 
end;
%KlirensOsmotyczny
%klirens czynnika osmotycznego z jamy otrzewnowej - tempo usuwania gluk/mannitolu z jamy
%otrzewnowej
KlirensOsmotyczny=js(tnumb,1)*AA/Cd; %mL/min

%---------------------figures--------------------------
if figjv==1
figure
plot(xfig2,jv(tnumb,1:xstep:xnumb)); 
xlabel('DISTANCE X, cm','FontWeight','bold','FontSize',fonts);
ylabel('jv, cm/min','FontWeight','bold','FontSize',fonts);
end;

if figPtx==1
figure
surf(xfig2,tfig2,pout(1:tstep:tnumb,1:xstep:xnumb))    
xlabel('DISTANCE X, cm','FontWeight','bold','FontSize',fonts);
ylabel('TIME T, min','FontWeight','bold','FontSize',fonts);
zlabel('INTERSTITIAL PRESSURE P [mmHg]','FontWeight','bold','FontSize',fonts);
end;

if figPfort12==1
figure
plot(tfig2,pout(2,1:xstep:xnumb))    
xlabel('TIME T, min','FontWeight','bold','FontSize',fonts);
ylabel('INTERSTITIAL PRESSURE P for t=12 min [mmHg]','FontWeight','bold','FontSize',fonts);
end;

if figPfort60==1
figure
plot(tfig2,pout(3,1:xstep:xnumb))    
xlabel('TIME T, min','FontWeight','bold','FontSize',fonts);
ylabel('INTERSTITIAL PRESSURE P after 1 hour [mmHg]','FontWeight','bold','FontSize',fonts);
end;

if figPsteady==1
figure
plot(xfig2,pout(tnumb,1:xstep:xnumb))    
xlabel('Distance X, cm','FontWeight','bold','FontSize',fonts);
ylabel('Interstitial hydrostatic presure P, mmHg','FontWeight','bold','FontSize',fonts);
end;

if figPtxinit==1
figure
plot(xfig2,pout(10,1:xstep:xnumb))    
xlabel('DISTANCE X, cm','FontWeight','bold','FontSize',fonts);
ylabel('INTERSTITIAL PRESSURE P [mmHg]','FontWeight','bold','FontSize',fonts);
end;

if figThetatx==1
figure
surf(xfig2,tfig2,Theta(1:tstep:tnumb,1:xstep:xnumb)); 
xlabel('DISTANCE X, cm','FontWeight','bold','FontSize',fonts);
ylabel('TIME T, min','FontWeight','bold','FontSize',fonts);
zlabel('Interstitial fluid fractional void volume, {\theta}','FontWeight','bold','FontSize',fonts);
end;

if figThetatx==1
figure
plot(xfig2,Theta(tnumb,1:xstep:xnumb)); 
xlabel('Distance X, cm','FontWeight','bold','FontSize',fonts);
ylabel('Interstitial fluid fractional void volume','FontWeight','bold','FontSize',fonts);
end;

if figPbrzegowe==1
figure
plot(tfig2,pout(1:tstep:tnumb,xnumb)); 
xlabel('TIME T, min','FontWeight','bold','FontSize',fonts);
ylabel('Pressure at xmax','FontWeight','bold','FontSize',fonts);
end;

if figCtx==1
figure
surf(xfig2,tfig2,cout(1:tstep:tnumb,1:xstep:xnumb)); 
xlabel('DISTANCE X, cm','FontWeight','bold','FontSize',fonts);
ylabel('TIME T, min','FontWeight','bold','FontSize',fonts);
zlabel('MANNITOL CONCENTRATION, C [mmol/mL]','FontWeight','bold','FontSize',fonts);
end;

LambdaSD=param1*0.021;
CdDif=exp(-xfig2./LambdaSD)*(Cd-C0)+C0;

if figCsteady==1
figure
plot(xfig2,cout(tnumb,1:xstep:xnumb),'LineWidth',2);
hold on
plot(xfig2,CdDif,'b:','LineWidth',2);
hold off
xlabel('Distance X, cm','FontWeight','bold','FontSize',fonts);
ylabel('Concentration in interstitial fluid, mmol/mL','FontWeight','bold','FontSize',fonts);
legend('Simulated','Simulated for pure diffusion');
end;

if figJvtx==1
figure
surf(xfig2,tfig3,jv(tstep:tstep:tnumb,1:xstep:xnumb)); 
xlabel('DISTANCE X, cm','FontWeight','bold','FontSize',fonts);
ylabel('TIME T, min','FontWeight','bold','FontSize',fonts);
zlabel('VOLUMETRIC FLUX jv, cm/min','FontWeight','bold','FontSize',fonts);
end;

if figjvX0==1
figure
plot(tfig2,jv(1:tstep:tnumb,1))    
xlabel('TIME T, min','FontWeight','bold','FontSize',fonts);
ylabel('VOLUMETRIC FLUX jv at X=0 [cm/min]','FontWeight','bold','FontSize',fonts);
end;

if figjvXmax==1
figure
plot(tfig2,jv(1:tstep:tnumb,xnumb))    
xlabel('TIME T, min','FontWeight','bold','FontSize',fonts);
ylabel('VOLUMETRIC FLUX jv at Xmax [cm/min]','FontWeight','bold','FontSize',fonts);
end;

if figQutx==1
figure
surf(xfig2,tfig3,Qu(tstep:tstep:tnumb,1:xstep:xnumb)); 
xlabel('DISTANCE X, cm','FontWeight','bold','FontSize',fonts);
ylabel('TIME T, min','FontWeight','bold','FontSize',fonts);
zlabel('Qu, mL/min','FontWeight','bold','FontSize',fonts);
end;

if figJtx==1
figure
surf(xfig2,tfig3,js(tstep:tstep:tnumb,1:xstep:xnumb)); 
xlabel('DISTANCE X, cm','FontWeight','bold','FontSize',fonts);
ylabel('TIME T, min','FontWeight','bold','FontSize',fonts);
zlabel('Mannitol flux, j_{S}, [mmol*cm/mL/min]','FontWeight','bold','FontSize',fonts);
end;




