function [theta,thetaSwitch,sigmaT,Keff,Deff]=TissueParam(P,P0,ThetaChoice,solute,param1)

% ---------------VOID VOLUME---------------
%------theta parameters
thetaAverage=0.2479;
thetaconst=0.34;
thetamin=0.177;
thetamax=0.36;
theta0=0.18;
beta=2.019;

%------------------------------------
    b1=thetamax-thetamin;
    b2=b1/(theta0-thetamin)-1;
    
if ThetaChoice==0 %Constant
    theta=thetaconst;
    b4=theta-thetamin;
    Pbar=log(b2*b4/(b1-b4))/beta+P0;
    b3bar=exp(-beta*(Pbar-P0));
    thetaSwitch=(b1*beta*b2*b3bar/(1+b2*b3bar)^2);
elseif ThetaChoice==1 %depend on P 
    b3=exp(-beta.*(P-P0));
    theta=thetamin+b1./(1+b2.*b3);
    thetaSwitch=(b1.*beta.*b2.*b3./(1+b2.*b3).^2);
   
end;
%----------------OTHER PARAMETRES------------- 
% sigmaT=0.00325; %- for the paper      % 48;     % Watson
sigmaT=0.00345;      % 4913;  %MF

K=5.14*10^(-5);  %cm^2/min/mmHg
Keff=theta.*K;  

if strcmp(solute,'Glucose')==1
D=(2.12.*10.^(-5))./theta0; %cm^2/min
elseif strcmp(solute,'Icodextrin 7.5%')==1
D=(0.49.*10.^(-5))./theta0;  %cm^2/min
elseif strcmp(solute,'Mannitol 5%')==1
DMF=1.18*10^(-4);  %cm^2/min
D=DMF./thetaAverage;  % cm^2/min
end;
Deff=param1*theta.*D; %cm^2/min 